> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v2/objects-schema/upscribe-object.md).

# Upscribe Object

### Example

```json
{
  "upscribe": {
    "uuid": "upscribe_ef8cb8124e99",
    "active": true,
    "after_submission_behaviour": "redirect",
    "redirect_url": "https://mywebsite.com/thank-you",
    "visibility_rules": [
      "https://mywebsite.com/",
      "https://mywebsite.com/blog/*",
    ],
    "after_submission_rules": [
      {
        "behaviour": "close_widget",
        "current_url": "https://mywebsite.com/",
        "redirect_url": null
      },
      {
        "behaviour": "redirect",
        "current_url": "https://mywebsite.com/blog/*",
        "redirect_url": "https://mywebsite.com/thank-you",
      }
    ]
  }
}
```

<table><thead><tr><th width="217">Property</th><th width="140.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>uuid</td><td>string</td><td>Upscribe's UUID</td></tr><tr><td>active</td><td>boolean</td><td>Whether the upscribe is active or not</td></tr><tr><td>after_submission_behaviour</td><td>string</td><td>The behaviour of Upscribe after it's submitted. Can be either "redirect" or "hide_widget"</td></tr><tr><td>redirect_url</td><td>string</td><td>The default redirect URL (only present if after_submission_behaviour is "redirect")</td></tr><tr><td>visibility_rules</td><td>array</td><td>Array of strings. Each string is a a URL where Upscribe can be shown. Empty array if Upscribe is set to be visible on all pages</td></tr><tr><td>after_submission_rules</td><td>array</td><td>Array of object. Each object represent a after_submission_rule. </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sparkloop.app/api-v2/objects-schema/upscribe-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
